dotlock(1)

NOM
mutt_dotlock – Verrouillage des fichiers de courriel en attente

SYNOPSIS

mutt_dotlock [-t|-f|-u|-d] [-p] [-r essais] fichier

DESCRIPTION

mutt_dotlock met en œuvre la méthode traditionnelle de verrouillage du fichier de file d’attente de courriels : pour verrouiller le fichier, un fichier appelé fichier.lock est créé. Le programme fonctionne avec les privilèges de groupe de courriel si nécessaire.

OPTIONS

-t  Simple essai. mutt_dotlock ne verrouille pas réellement un fichier, mais informe le processus appelant s’il est possible de verrouiller fichier.

-f  Forçage du verrou. Si un autre processus détient un verrou sur le fichier plus longtemps qu’un certain temps, mutt_dotlock brisera le verrou en supprimant le fichier de verrou.

-u  Déverrouillage. mutt_dotlock supprime fichier.lock.

-d  Suppression. mutt_dotlock verrouille le fichier, le supprime s’il est de longueur zéro et après supprime fichier.lock.

-p  Utilisation des privilèges. Si cette option est indiquée, mutt_dotlock fonctionnera avec les privilèges de groupe de courriel lors de la création et la suppression des fichiers de verrou.

-r essais
    Cette option de ligne de commande indique à mutt_dotlock d’essayer essais fois avant d’abandonner ou (si invoqué avec l’option -f de ligne de commande) de briser un verrou. La valeur par défaut est cinq. mutt_dotlock attend une seconde entre deux essais successifs.

FICHIERS

fichier.lock
    Fichier de verrou généré par mutt_dotlock.

VOIR AUSSI

fcntl(2), flock(2), lockfile(1), mutt(1)

DIAGNOSTICS

mutt_dotlock indique ses diagnostics par ses valeurs renvoyées :

0 - DL_EX_OK
    Le programme a réussi.

1 - DL_EX_ERROR
    Une erreur non précisée s’est produite telle que de mauvais paramètres de ligne de commande, le manque de mémoire système ou d’autres du même genre

3 - DL_EX_EXIST
    L’utilisateur désire verrouiller un fichier qui est déjà verrouillé par un autre processus. Si mutt_dotlock est invoqué avec l’option de ligne de commande -f, mutt_dotlock ne génère aucune erreur, mais brise les verrous des autres processus.

4 - DL_EX_NEED_RPIVS
    Cette valeur est renvoyée seulement si mutt_dotlock est invoqué avec l’option de ligne de commande -t. Cela signifie que mutt_dotlock devra utiliser ses privilèges de groupe de courriel pour verrouiller le fichier.

5 - DL_EX_IMPOSSIBLE
    Cette valeur est renvoyée seulement si mutt_dotlock est invoqué avec l’option de ligne de commande -t. Cela signifie que mutt_dotlock ne peut pas verrouiller le fichier même avec les privilèges de groupe de courriel.

NOTES

mutt_dotlock essaie de mettre en œuvre une méthode de verrouillage (dotlock) sûre pour NFS qui a été empruntée de lockfile(1).

Si l’utilisateur ne peut ouvrir le fichier pour le lire avec ses privilèges normaux, mutt_dotlock renvoie la valeur DL_EX_ERROR pour éviter certaines attaques contre des fichiers de file d’attente d’autres utilisateurs. Le code évite soigneusement les conditions de concurrence lors de la vérification des permissions. Pour plus de détails sur tout cela, consulter les commentaires dans dotlock.c.

HISTORIQUE

mutt_dotlock fait partie de la suite de client de messagerie, Mutt. Il a été créé pour éviter d’exécuter mutt avec les privilèges de groupe de courriel.

AUTEUR
Thomas Roessler <roessler@does-not-exist.org>

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.